Google Latitude for iPhone, iPad Officially on iTunes Now

Google Latitude for iPhone and iPad is finally available on iTunes. You will need iOS 4 and above to use it. Obviously as iOS 4 has multi-tasking capability.

The supported devices are iPhone 3Gs, iPhone 4, iPad, iPod Touch (3rd and 4th Generation) and with iOS 4 and above. The Google Latitude App version is 2.0.0.346.

You can set the app to run in background so that you location will be updated.

Search the iTunes store for it.

Or

Click Here to iTunes Store for Google Latitude App

[ad#boxlist]
(source)

READ  Fix for Your Apple Magic Mouse - Video Within